# This script defines a shell function that compiles source files into object
# files for the host system.  Edit it to suit your preferences.  The
# shell variables $input and $output name the source file to compile and the
# object file to create, respectively.  The arguments are -I search
# directives; make sure to include them.

compile_host() {
  gcc -O2 -ansi -pedantic ${1+"$@"} -c "$input" -o "$output" \
    -Wall -W -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings \
    -Wno-long-long
}
